QGIS Application - Bug report #14796

DB Manager: query builder always places double quotes around column values

2016-05-09 10:14 AM - Giovanni Manghi

Status: Closed
Priority: Normal
Assignee:

Category: DB Manager

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 22753

Description

Subject says it all, this means that queries created with this tool will always fail.

ex:
SELECT "planet_osm_roads"."osm_id"
FROM "public"."planet_osm_roads"
WHERE "ref"="EN 335"

or
SELECT "planet_osm_roads"."ref"
FROM "public"."planet_osm_roads"

WHERE "osm_id"="00001"

Text values should be around single quotes, number as they are.

Associated revisions

Revision 8e5b28f3 - 2016-05-29 11:59 PM - Arnaud Morvan

[db_manager] Fix #14796 - Quote values depending on data type in query builder

History

#1 - 2016-05-29 03:00 PM - Arnaud Morvan
- Status changed from Open to Closed

Fixed in changeset commit:"8e5b28f3bb5d7fb46b54c69176ec4143268ea977".
